# header-only library
%global debug_package %{nil}

Name:           libheinz
Version:        2.0.0
Release:        %autorelease
Summary:        C++ base library of Heinz Maier-Leibnitz Zentrum
# the libheinz library is mainly under 0BSD license, except:
# catch2 - test/catch.hpp - BSL-1.0
License:        0BSD AND BSL-1.0
URL:            https://jugit.fz-juelich.de/mlz/libheinz
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

# use GNUInstallDirs to facilitate the installation of the library
# use ARCH_INDEPENDENT for header-only library when CMake >= 3.14
# create the INTERFACE library since the library is header-only and ALIAS targets
# install and export the targets
# https://jugit.fz-juelich.de/mlz/libheinz/-/issues/2
Patch0:         libheinz-fix-cmake.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake

Provides:       bundled(catch2) = 2.13.9

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE
%doc README.md
%{_includedir}/heinz/
%{_datadir}/cmake/LibHeinz/

%changelog
%autochangelog
